#
# spec file for package minicom (Version 2.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           minicom
BuildRequires:  resmgr
URL:            http://alioth.debian.org/projects/minicom/
License:        GPL
Group:          Hardware/Modem
Provides:       comms
Requires:       rzsz
Autoreqprov:    on
Version:        2.1
Release:        161.2
Summary:        A Terminal Program
Source:         minicom-%{version}.tar.bz2
Patch:          minicom-%{version}.dif
Patch1:         minicom-2.00.0-resmgr.patch
Patch2:         minicom-2.00.0.ja.po.patch
Patch3:         minicom-gcc4.patch
Patch4:         %{name}-%{version}-array.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A terminal program similar to Telix(tm) (a program for calling other
computers via modem) under MS-DOS.

If you want to access your modem with minicom, you have to be a member
of the uucp group.



Authors:
--------
    Miquel van Smoorenburg <miquels@cistron.nl>
    Jukka Lahtinen <walker@netsonic.fi>
    Adam Lackorzynski <adam@os.inf.tu-dresden.de>

%debug_package
%prep
%setup -q
%patch
%patch1 -p1
# japanese does not work for now
# %patch2 -p1
%patch3
%patch4

%build
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --mandir=%{_mandir} --enable-music \
	--enable-dfl-baud=57600 \
	--enable-resmgr \
	--enable-cfg-dir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT
#    mkdir -p /usr/share/doc/packages/minicom
#    make install -C src MANDIR=%{_mandir}/man1
#    install -d /var/lib/minicom
#    ln -sf mc.iso    /usr/share/doc/packages/minicom/tables/dot.mciso
#    ln -sf mc.noconv /usr/share/doc/packages/minicom/tables/dot.mcnoconv
#    ln -sf mc.pc8    /usr/share/doc/packages/minicom/tables/dot.mcpc8
#    ln -sf mc.sf7    /usr/share/doc/packages/minicom/tables/dot.mcsf7
# the gettext setup is busted
make DESTDIR=$RPM_BUILD_ROOT gnulocaledir=$RPM_BUILD_ROOT/usr/share/locale install
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(644,root,root,755)
%doc doc/* ABOUT-NLS AUTHORS COPYING ChangeLog FILE_ID.DIZ INSTALL NEWS README
%attr(0755,root,root) /usr/bin/ascii-xfr
%attr(0755,root,uucp) /usr/bin/minicom
%attr(0755,root,root) /usr/bin/runscript
%attr(0755,root,root) /usr/bin/xminicom
%{_mandir}/man1/ascii-xfr.1.gz
%{_mandir}/man1/minicom.1.gz
%{_mandir}/man1/xminicom.1.gz
%{_mandir}/man1/runscript.1.gz

%changelog -n minicom
* Mon Feb 27 2006 - anicka@suse.cz
- fix subscript out of range (#151489)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Apr 18 2005 - mcihar@suse.cz
- fix for current gcc
* Fri Feb 04 2005 - mcihar@suse.cz
- fixed permissions (bug #50438)
* Mon Jan 12 2004 - adrian@suse.de
- add missing %%attr
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Wed Jul 23 2003 - coolo@suse.de
- use BuildRoot and %%find_lang
- package xminicom man page
* Mon May 26 2003 - stepan@suse.de
- update to 2.1
* Tue Dec 24 2002 - mfabian@suse.de
- fix charset headers in Japanese .po files (messages in
  ja_JP.UTF-8 were garbled because of this)
- remove backslashes in the SJIS encoded Japanese .po file which were
  only needed as a workaround for deficiencies in older versions
  of gettext. These extra backslashes cause trouble with newer
  gettext versions.
* Fri Nov 29 2002 - okir@suse.de
- add support for resmgr
* Mon Nov 18 2002 - schwab@suse.de
- Add AM_GNU_GETTEXT_VERSION.
* Tue Oct 01 2002 - uli@suse.de
- turned off HW flow control in default setup (bug #20390)
* Wed Sep 18 2002 - ro@suse.de
- removed bogus self-provides
* Thu Apr 04 2002 - ro@suse.de
- build with current automake/autoconf/gettext
* Thu Dec 06 2001 - uli@suse.de
- update -> 2.00.0 (fixes, mainly)
* Thu Apr 19 2001 - mfabian@suse.de
- fix invalid multibyte characters in ko.po just to make it build
* Wed Feb 07 2001 - uli@suse.de
- fixed for glibc 2.2.1
* Thu Dec 21 2000 - uli@suse.de
- replaced call of "sx" with "sz -X"
* Thu Nov 30 2000 - uli@suse.de
- fixed some links
* Wed Nov 29 2000 - uli@suse.de
- update -> 1.83.1
* Wed May 24 2000 - uli@suse.de
- moved docs to /usr/share
* Thu Mar 02 2000 - kukuk@suse.de
- Use _mandir macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu May 06 1999 - kukuk@suse.de
- Don't link against libintl.a
* Thu Jul 30 1998 - bs@suse.de
- don't start rz with "-E" by default - our rz does not know it.
* Tue Jul 28 1998 - bs@suse.de
- marked minicom.users as %%config again.
* Mon Jul 27 1998 - werner@suse.de
- new version 1.81.1
- applied red hat security patches
- DONT set sguid uucp (you can't be saver :) ).  User have to be in
  group uucp, if they want access to modem.
